Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# exceptions.h File Reference

Declares the MySQL++-specific exception classes. More...

`#include <exception>`
`#include <string>`

Include dependency graph for exceptions.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares the MySQL++-specific exception classes.

When exceptions are enabled for a given Connection object, any of these exceptions can be thrown as a result of operations done through that connection.